Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.nailgun
Class NGSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          com.martiansoftware.nailgun.NGSecurityManager

public class NGSecurityManager
extends SecurityManager

Security manager which does nothing other than trap checkExit, or delegate all non-deprecated methods to a base manager.

Author:
  Pete Kirkham

Constructor Summary
`NGSecurityManager(SecurityManager base)` Construct an NGSecurityManager with the given base.

Method Summary
`void` | `checkExit(int status)`
`void` | `checkPermission(Permission perm)`
`void` | `checkPermission(Permission perm, Object context)`
`static void` | `setExit(PrintStream exit)`

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, getInCheck, getSecurityContext, getThreadGroup`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NGSecurityManager

    public NGSecurityManager(SecurityManager base)

  Construct an NGSecurityManager with the given base.

Parameters:
  `base` - the base security manager, or null for no base.

Method Detail

### checkExit

    public void checkExit(int status)

### checkPermission

    public void checkPermission(Permission perm)

### checkPermission

    public void checkPermission(Permission perm,
                                Object context)

### setExit

    public static void setExit(PrintStream exit)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2004, Martian Software, Inc.